# $Revision: 1.18 $, $Date: 2004/12/21 01:16:54 $
Summary:	Z88 Development Kit
Summary(pl):	Zestaw programistyczny Z88
Name:		z88dk
Version:	1.5
Epoch:		1
Release:	2
License:	Artistic
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/%{name}/%{name}-src-%{version}.tar.gz
# Source0-md5:	07c122c40c66093ede4ba3047e8f6128
Patch0:		%{name}-typo.patch
Patch1:		%{name}-DESTDIR.patch
URL:		http://z88dk.sourceforge.net/
ExcludeArch:	amd64 alpha ia64 ppc64 sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
z88dk contains C compiler (zcc) for Z80, assembler (z80asm) and
libraries for various Z80 based machines (such as ZX Spectrum, Z88,
MSX).

%description -l pl
z88dk zawiera kompilator C (zcc) generujcy kod dla procesora Z80,
asembler (z80asm) i biblioteki dla rnych komputerw z procesorem
Z80, m. in. dla ZX Spectrum, Z88, MSX.

%package examples
Summary:	Examples for Z88 Development Kit
Summary(pl):	Przykady dla zestawu programistycznego Z88
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}

%description examples
Some sample programs for Z88.

%description examples -l pl
Kilka przykadowych programw dla Z88.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

find www -name CVS -exec rm -rf {} \; ||:

%build
Z80_OZFILES=`pwd`/lib/
ZCCCFG=`pwd`/lib/config/
PATH=$PATH:`pwd`/bin
CC="%{__cc}"
CFLAGS="%{rpmcflags}"
CCOPT=-DUNIX
export CC CFLAGS CCOPT
export PATH Z80_OZFILES ZCCCFG
%{__make} prefix=%{_prefix}
%{__make} -C `pwd`/libsrc
%{__make} -C `pwd`/libsrc install

cp support/zx/bin2tap.c .
%{__cc} %{rpmcflags} %{rpmldflags} bin2tap.c -o bin2tap

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}

%{__make} install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}
install bin2tap $RPM_BUILD_ROOT%{_bindir}
cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.1st EXTENSIONS doc/* support www LICENSE
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}

%files examples
%defattr(644,root,root,755)
%dir %{_examplesdir}/%{name}
%{_examplesdir}/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: z88dk.spec,v $
Revision 1.18  2004/12/21 01:16:54  undefine
- no support for 64bit archs

Revision 1.17  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.16  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.15  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/09 10:48:11  qboosh
- use http for sources from sourceforge

Revision 1.12  2003/01/24 01:16:25  kloczek
- remove CVS subdirectoriries in %doc.

Revision 1.11  2003/01/21 07:54:38  juandon
- removed unused _z88dkdir
- added bin2tap to the binaries
- Release 2

Revision 1.10  2003/01/12 13:11:12  juandon
- added www to %%doc
- removed %%dir ...

Revision 1.9  2003/01/08 19:31:56  juandon
- clarificaton
- upgrade to 1.5
- Epoch

Revision 1.8  2002/10/29 12:13:30  orzech
- adapterized
- more pl fixes

Revision 1.7  2002/10/29 11:46:14  qboosh
- types patch - fix for little-endian 64-bit archs
- pl fixes, release 5

Revision 1.6  2002/10/14 13:18:30  kloczek
- release 4: fix typo in Requires rule in examples subpackage.

Revision 1.5  2002/10/12 20:58:00  marcus
- rel.3.
- fixed compiling on ppc
- separate examples to subpackage

Revision 1.4  2002/06/03 21:34:12  juandon
- adapatarized
- use new doc

Revision 1.3  2002/05/10 13:06:28  juandon
- build part rewritten
- Rel 2
- STBR

Revision 1.2  2002/05/01 07:47:40  kloczek
- cosmetics.

Revision 1.1  2002/05/01 00:34:38  juandon
- initial release, spec made from scratch
